%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Smartcard Terminal Tnterface
Name:		openct
Version:	0.6.11
Release:	%mkrel 3
License:	LGPL
URL:		http://www.opensc.org
Source0:	http://www.opensc.org/files/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires:	pcsc-lite-devel flex libusb-devel
BuildRequires:	libltdl-devel udev-tools
Requires:	%{lib_name} = %{version}
Group:		System/Servers
Requires(pre):  rpm-helper
Requires(post): rpm-helper

%description
This is OpenCT, a middleware framework for smart card terminals.

%package	-n %{lib_name}
Group:		System/Libraries
Summary:	Library for accessing Smartcards
Provides: libopenct = %{version}-%{release}
# major 0 was wrong
Obsoletes: libopenct0 <= 0.6.6-4mdk
Obsoletes: libopenct <= 0.6.6-4mdk

%description	-n %{lib_name}
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %{name}-devel package.

%package	-n %{lib_name}-devel
Requires:	%{lib_name} = %{version}
Group:		Development/C
Summary:	Supplementary files for developing %{name} applications
Provides: 	libopenct-devel = %{version}-%{release}
Obsoletes:	libopenct0-devel <= 0.6.6-4mdk
Obsoletes:	libopenct-devel <= 0.6.6-4mdk

%description	-n %{lib_name}-devel
Header files, static libraries, and documentation for %{name}.

%prep
%setup -q 

%build
%configure2_5x --with-pcsc --without-bundle-dir --localstatedir=%{_var}
make

sed -i -e "s,^DRIVER=,DRIVERS=," etc/openct.udev

%check
make -k check

%install
rm -rf %{buildroot}
%makeinstall_std 
#install -d %{buildroot}/%{_sysconfdir}/hotplug/usb
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_var}/run/openct
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/openct.conf %{buildroot}/%{_sysconfdir}

perl -pi -e "s|#! /bin/sh|#! /bin/sh\n#\n# This shell script takes care of starting and stopping\n# openct server\n#\n# chkconfig: 345 39 50\n# description: Smartcard Terminal Tnterface|" %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script 
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script %{buildroot}/%{_initrddir}/%{name}

install -d -m755 %{buildroot}%{_sysconfdir}/udev/rules.d
perl -pi -e 's!/etc/hotplug/usb/%{name}!%{name}!' etc/openct.udev
install -m 0644 etc/openct.udev %{buildroot}%{_sysconfdir}/udev/rules.d/70-%{name}.rules
#install -d -m755 %{buildroot}/%{_lib}/udev/
#install -m755 etc/hotplug.openct %{buildroot}/%{_lib}/udev/%{name}

# reference to home or tmp
rm -rf %{buildroot}/%{_libdir}/libifd.la

%clean
rm -rf %{buildroot}

%preun 
%_preun_service openct

%post 
%_post_service openct

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files
%defattr(-,root,root)
%doc NEWS TODO LGPL-2.1
%doc doc/
%{_bindir}/*
%{_sbindir}/*
%{_var}/run/*
%{_mandir}/man1/*
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/openct.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/70-%{name}.rules

%files -n %{lib_name}
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc TODO
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Mon Feb 05 2007 Andreas Hasenack <andreas@mandriva.com> 0.6.11-3mdv2007.0
+ Revision: 116213
- s/DRIVER/DRIVERS/ in udev file (#28549)

* Mon Jan 15 2007 Andreas Hasenack <andreas@mandriva.com> 0.6.11-2mdv2007.1
+ Revision: 109063
- fixed rpm group for devel package (#28155)

* Wed Nov 22 2006 Andreas Hasenack <andreas@mandriva.com> 0.6.11-1mdv2007.1
+ Revision: 86104
- updated to version 0.6.11
- this one got rid of hotplug it seems
- fix filename
- updated to version 0.6.10
- Import openct



* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.8-1mdv2007.0
- New release 0.6.8

* Mon Jun 26 2006 Olivier Blin <oblin@mandriva.com> 0.6.7-6mdv2007.0
- move udev helper in /$lib/udev
- fix udev rules to call correct helper
- fix udev rules permission

* Tue May 23 2006 Andreas Hasenack <andreas@mandriva.com> 0.6.7-5mdk
- imported fixes from CS4:
  - more fixes for the wrong soname problem
- when introducing version 0.6.7 I forgot to reset the release numbering
  back to 1 (it remained at 4, despite what the changelog entry below says),
  so we jumped to 5mdk now :(

* Mon May 15 2006 Andreas Hasenack <andreas@mandriva.com> 0.6.7-1mdk
- updated to version 0.6.7
- using upstream provided udev rules
- license is LGPL (although some files are still BSD, the majority of them
  is now LGPL)

* Fri May 12 2006 Olivier Blin <oblin@mandriva.com> 0.6.6-4mdk
- convert usermap to udev rules (the usermap wasn't even installed
  previously, so nothing was done on hotplug)
- drop config flag for init script

* Wed Nov 23 2005 Andreas Hasenack <andreas@mandriva.com> 0.6.6-3mdk
- using /var as localstatedir (so that /var/run/openct works)

* Mon Nov 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.6-2mdk
- add BuildRequires: libltdl-devel

* Sun Nov 06 2005 Michael Scherer <misc@mandriva.org> 0.6.6-1mdk
- New release 0.6.6
- mkrel
- fix prereq
- add %%check

* Fri Mar 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- from Udo Rader <udo.rader@bestsolution.at> : 
	- new upstream version

* Mon Nov 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.0-3mdk
- add BuildRequires: flex libusb-devel

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.1.0-2mdk
- rebuild

* Wed Nov 12 2003 Florin <florin@mandrakesoft.com> 0.1.0-1mdk
- first mdk release
